/*****************************************************************************
 * divx_advanced_ui.h: UI for advanced DivX options (ffmpeg options etc...)
 *****************************************************************************
 * $Id: divx_advanced_ui.h,v 1.4 2005/12/14 21:49:17 pingus77 Exp $
 *****************************************************************************
 * Copyright (C) 2004 Pingus
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#ifndef _DIVX_ADVANCED_UI_H_
#define _DIVX_ADVANCED_UI_H_

#include "divx.h"

void update_divxa_commandwidget(Widget widget,int value, char *text);
#ifdef HAVE_FFMPEG
void create_ffmpeg_win(void);
void FFMpegAction (Widget, XEvent *, String *, Cardinal *);
Widget c_ffmpeg_vmax_b_frames;
#if LIBAVCODEC_BUILD >= 4647
Widget c_ffmpeg_cmp, c_ffmpeg_subcmp;
#endif
#endif

#ifdef HAVE_XVID
#ifdef HAVE_XVID10
void create_xvid_win(void);
void XviDAction (Widget, XEvent *, String *, Cardinal *);
Widget c_xvid_chromame, c_xvid_hqacpred, c_xvid_trell;
#endif
#endif

#endif // _DIVX_ADVANCED_UI_H_
