/*****************************************************************************
 * divx_ui.h: DivX Parameters editor functions
 *****************************************************************************
 * $Id: divx_ui.h,v 1.19 2007/02/10 16:05:09 pingus77 Exp $
 *****************************************************************************
 * Copyright (C) 2001 Keuleu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/
#ifndef _DIVX_UI_H_
#define _DIVX_UI_H_

void create_divxwin(void);
void DivXAction (Widget, XEvent *, String *, Cardinal *);

void create_divxaudiowin(void);
void DivXAudioAction (Widget, XEvent *, String *, Cardinal *);

void create_streamparamswin(void);
void StreamParamsAction (Widget, XEvent *, String *, Cardinal *);
int divxstream_is_enabled(void);
Widget l_divxmaxsize, s_divxmaxsize;
Widget l_divxminquantizer, s_divxminquantizer;
Widget l_divxmaxquantizer, s_divxmaxquantizer;
Widget l_divxmp3bitrate,   s_divxmp3bitrate;
void update_divx_scrollbarwidget(Widget widgeta,Widget widgetb,int value, int range, char *text);

void update_divxfilename(void);
void update_http_port(void);
void update_vcodec(int id);
void update_acodec(int id);
void update_av_codecs(void);
Widget c_streaming;
Widget streamparams_paned;

#endif // _DIVX_UI_H_
