/*****************************************************************************
 * deinterlace.h: Deinterlace functions and definitions
 *****************************************************************************
 * $Id: deinterlace.h,v 1.6 2005/07/09 09:30:09 pingus77 Exp $
 *****************************************************************************
 * Copyright (C) 2001 Keuleu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************
 *
 * Original code:
 *
 * Copyright (C) 2001 the xine project
 *
 * Deinterlace routines by Miguel Freitas
 * based of DScaler project sources (deinterlace.sourceforge.net)
 *
 * Currently only available for Xv driver and MMX extensions
 *
 *****************************************************************************/
#ifndef _DEINTERLACE_H_
#define _DEINTERLACE_H_

enum deinterlace {
  DEINTERLACE_NONE,
#ifdef HAVE_MMX
  DEINTERLACE_BOB,
  DEINTERLACE_WEAVE,
  DEINTERLACE_GREEDY,
  DEINTERLACE_ONEFIELD,
#endif
  DEINTERLACE_LINEARBLEND,
  NB_DEINTERLACE
};
void set_deinterlace_vop(enum deinterlace e);

#endif // _DEINTERLACE_H_
